# timecalc
### _a. fox_

## Usage
This tool offers two different methods to utlize it, you can run it from the command line with
options `--from` and `--to` to get an answer printed to your terminal.

or, run with the `--web` option passed and it will spin up a webserver (`http://localhost:9001` by default)
and use the web interface to select the conversion targets and see the result.

## Notes on web server

all css is handwritten and embedded in the page, however if there is a "custom.css" file alongside the
`timecalc` binary, it will be included in the page that gets rendered

## System Definition Explanation

`key`: the internal key that is used for that system. used for command line arguments `--to` and `--from`

`name`: the name of the system. this is mostly used for output, but these can also be used for `--to` and `--from`

`gtsYear`: one year of the target system, converted into a GTS year (seconds)

see `systems/example.system` for an example

## Building

1. Install [roswell](https://github.com/roswell/roswell)
2. `$ mkdir ~/common-lisp && git clone https://dev.focks.website/compufox/timecalc ~/common-lisp/timecalc`
3. `$ cd ~/common-lisp/timecalc && make`
4. Profit

## License

GPLv3

